<?php
// 共通定義
$common_items = array(
	"items" => array(
		"dummy1" => array(
			"title" => "表示関連",
			"type" => "comment",
			"class" => "openclose",
		),
		"site_title" => array(	
			"title" => "サイトタイトル",
			"type" => "text",
		),
		"site_logo" => array(	
			"title" => "ロゴファイル",
			"type" => "image",
		),
		"main_image" => array(	
			"title" => "メインイメージ",
			"type" => "image",
		),
		"main_copy" => array(	
			"title" => "メインコピー",
			"type" => "text",
		),
		"sub_copy" => array(	
			"title" => "サブコピー",
			"type" => "textarea",
		),
		"top_btn1" => array(	
			"title" => "ボタン１",
			"type" => "text",
		),
		"top_btn1_link" => array(	
			"title" => "ボタン１リンク",
			"type" => "text",
		),
		"top_btn2" => array(	
			"title" => "ボタン２",
			"type" => "text",
		),
		"top_btn2_link" => array(	
			"title" => "ボタン２リンク",
			"type" => "text",
		),
		"top_btn3" => array(	
			"title" => "ボタン３",
			"type" => "text",
		),
		"top_btn3_link" => array(	
			"title" => "ボタン３リンク",
			"type" => "text",
		),
		"site_desc" => array(	
			"title" => "サイト説明",
			"type" => "text",
		),
		"site_keyword" => array(	
			"title" => "サイトキーワード",
			"type" => "text",
		),
		"site_image" => array(	
			"title" => "サイト画像",
			"type" => "image",
			"info" => "SNSなどで参照された際に表示されます",
		),
		"dummy2-1" => array(
			"title" => "メニュー１",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu1_title" => array(
			"title" => "メニュー1",
			"type" => "text",
		),
		"menu1_link" => array(
			"title" => "リンク1",
			"type" => "text",
		),
		"dummy2-2" => array(
			"title" => "メニュー２",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu2_title" => array(
			"title" => "メニュー2",
			"type" => "text",
		),
		"menu2_link" => array(
			"title" => "リンク2",
			"type" => "text",
		),
		"dummy2-3" => array(
			"title" => "メニュー３",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu3_title" => array(
			"title" => "メニュー3",
			"type" => "text",
		),
		"menu3_link" => array(
			"title" => "リンク3",
			"type" => "text",
		),
		"dummy2-4" => array(
			"title" => "メニュー４",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu4_title" => array(
			"title" => "メニュー4",
			"type" => "text",
		),
		"menu4_link" => array(
			"title" => "リンク4",
			"type" => "text",
		),
		"dummy2-5" => array(
			"title" => "メニュー５",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu5_title" => array(
			"title" => "メニュー5",
			"type" => "text",
		),
		"menu5_link" => array(
			"title" => "リンク5",
			"type" => "text",
		),
		"dummy2-6" => array(
			"title" => "メニュー６",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu6_title" => array(
			"title" => "メニュー6",
			"type" => "text",
		),
		"menu6_link" => array(
			"title" => "リンク6",
			"type" => "text",
		),
		"dummy3-1" => array(
			"title" => "フッターメニューグループ1",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu1_title" => array(
			"title" => "グループ1タイトル",
			"type" => "text",
		),
		"footer_menu1_item1_title" => array(
			"title" => "メニュー1-1",
			"type" => "text",
		),
		"footer_menu1_item1_link" => array(
			"title" => "リンク1-1",
			"type" => "text",
		),
		"footer_menu1_item2_title" => array(
			"title" => "メニュー1-2",
			"type" => "text",
		),
		"footer_menu1_item2_link" => array(
			"title" => "リンク1-2",
			"type" => "text",
		),
		"footer_menu1_item3_title" => array(
			"title" => "メニュー1-3",
			"type" => "text",
		),
		"footer_menu1_item3_link" => array(
			"title" => "リンク1-3",
			"type" => "text",
		),
		"footer_menu1_item4_title" => array(
			"title" => "メニュー1-4",
			"type" => "text",
		),
		"footer_menu1_item4_link" => array(
			"title" => "リンク1-4",
			"type" => "text",
		),
		"dummy3-2" => array(
			"title" => "フッターメニューグループ2",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu2_title" => array(
			"title" => "グループ2タイトル",
			"type" => "text",
		),
		"footer_menu2_item1_title" => array(
			"title" => "メニュー2-1",
			"type" => "text",
		),
		"footer_menu2_item1_link" => array(
			"title" => "リンク2-1",
			"type" => "text",
		),
		"footer_menu2_item2_title" => array(
			"title" => "メニュー2-2",
			"type" => "text",
		),
		"footer_menu2_item2_link" => array(
			"title" => "リンク2-2",
			"type" => "text",
		),
		"footer_menu2_item3_title" => array(
			"title" => "メニュー2-3",
			"type" => "text",
		),
		"footer_menu2_item3_link" => array(
			"title" => "リンク2-3",
			"type" => "text",
		),
		"footer_menu2_item4_title" => array(
			"title" => "メニュー2-4",
			"type" => "text",
		),
		"footer_menu2_item4_link" => array(
			"title" => "リンク2-4",
			"type" => "text",
		),
		"dummy3-3" => array(
			"title" => "フッターメニューグループ3",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu3_title" => array(
			"title" => "グループ3タイトル",
			"type" => "text",
		),
		"footer_menu3_item1_title" => array(
			"title" => "メニュー3-1",
			"type" => "text",
		),
		"footer_menu3_item1_link" => array(
			"title" => "リンク3-1",
			"type" => "text",
		),
		"footer_menu3_item2_title" => array(
			"title" => "メニュー3-2",
			"type" => "text",
		),
		"footer_menu3_item2_link" => array(
			"title" => "リンク3-2",
			"type" => "text",
		),
		"footer_menu3_item3_title" => array(
			"title" => "メニュー3-3",
			"type" => "text",
		),
		"footer_menu3_item3_link" => array(
			"title" => "リンク3-3",
			"type" => "text",
		),
		"footer_menu3_item4_title" => array(
			"title" => "メニュー3-4",
			"type" => "text",
		),
		"footer_menu3_item4_link" => array(
			"title" => "リンク3-4",
			"type" => "text",
		),
		"dummy3-4" => array(
			"title" => "フッターメニューグループ4",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu4_title" => array(
			"title" => "グループ4タイトル",
			"type" => "text",
		),
		"footer_menu4_item1_title" => array(
			"title" => "メニュー4-1",
			"type" => "text",
		),
		"footer_menu4_item1_link" => array(
			"title" => "リンク4-1",
			"type" => "text",
		),
		"footer_menu4_item2_title" => array(
			"title" => "メニュー4-2",
			"type" => "text",
		),
		"footer_menu4_item2_link" => array(
			"title" => "リンク4-2",
			"type" => "text",
		),
		"footer_menu4_item3_title" => array(
			"title" => "メニュー4-3",
			"type" => "text",
		),
		"footer_menu4_item3_link" => array(
			"title" => "リンク4-3",
			"type" => "text",
		),
		"footer_menu4_item4_title" => array(
			"title" => "メニュー4-4",
			"type" => "text",
		),
		"footer_menu4_item4_link" => array(
			"title" => "リンク4-4",
			"type" => "text",
		),
		"dummy4" => array(
			"title" => "共通",
			"type" => "comment",
			"class" => "openclose",
		),
		"copyright" => array(	
			"title" => "著作権表示",
			"type" => "text",
		),
		"head_tag" => array(
			"title" => "</head>前挿入",
			"type" => "textarea",
			"info" => "Google Analyticsのタグなどの挿入",
		),
		"body_tag" => array(
			"title" => "</body>前挿入",
			"type" => "textarea",
			"info" => "Google Analyticsのタグなどの挿入",
		),
		"dummy7" => array(
			"title" => "認証",
			"type" => "comment",
			"class" => "openclose",
		),
		"login_id" => array(
			"title" => "ログインID",
			"type" => "text",
			"info" => "ログインIDが不要の場合は、空欄にしてください。",
		),
		"passwd" => array(
			"title" => "パスワード",
			"type" => "text",
		),
	),
	"func" => "func_common",
);

// 共通データの変換
function func_common($def, $info)
{
	// メニュー
	$menu = array();
	for ($i = 1; $i <= 10; $i++) {
		$title = $info["menu" . $i . "_title"];
		$link = $info["menu" . $i . "_link"];
		if ($title && $link) {
			unset($item);
			$item["title"] = $title;
			$item["link"] = $link;
			$menu[] = $item;
		}
	}
	$info["menu"] = $menu;
	// フッターメニュー
	$footer_menu = array();
	for ($i = 1; $i <= 10; $i++) {
		$group = array();
		$group_title = $info["footer_menu" . $i . "_title"];
		if ($group_title) {
			$group["title"] = $group_title;
			$menu = array();
			for ($j = 1; $j <= 10; $j++) {
				$title = $info["footer_menu" . $i . "_item" . $j . "_title"];
				$link = $info["footer_menu" . $i . "_item" . $j . "_link"];
				if ($title && $link) {
					$item["title"] = $title;
					$item["link"] = $link;
					$menu[] = $item;
				}
			}
			if ($menu) {
				$group["menu"] = $menu;
				$footer_menu[] = $group;
			}
		}
	}
	$info["footer"] = $footer_menu;
	// ロゴ
	if ($info["site_logo"]) {
		$f = Image::getData(intval($info["site_logo"]));
		if ($f) {
			$info["site_logo_file"] = "user_data/" . $f["save_name"];
		}
	}
	if ($info["main_image"]) {
		$f = Image::getData(intval($info["main_image"]));
		if ($f) {
			$info["main_image_file"] = "user_data/" . $f["save_name"];
		}
	}
	//
	$login = get_setup();
	$info["license"] = $login["license"];
	//
	return $info;
}
